# Type Alias EventLogPack

type EventLogPack = {
channel?: string | null;
email?: string;
event_type: string;
occur_at: Date;
payload?: any;
user_email?: string | null;
}

- Defined in model-abstracts/abstract_event_log.ts:1

##### Index

### Properties

channel?
email?
event_type
occur_at
payload?
user_email?

## Properties

### `Optional` channel

channel?: string | null

- Defined in model-abstracts/abstract_event_log.ts:3

### `Optional` email

email?: string

- Defined in model-abstracts/abstract_event_log.ts:7

### event_type

event_type: string

- Defined in model-abstracts/abstract_event_log.ts:2

### occur_at

occur_at: Date

- Defined in model-abstracts/abstract_event_log.ts:4

### `Optional` payload

payload?: any

- Defined in model-abstracts/abstract_event_log.ts:6

### `Optional` user_email

user_email?: string | null

- Defined in model-abstracts/abstract_event_log.ts:5